# Note that this is NOT a relocatable package
%define ver      	0.2
%define RELEASE 	0
%define rel     	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   	/usr

Summary: GNOME game
Name: 		gnome-memblocks
Version: 	%ver
Release: 	%rel
Copyright: 	GPL
Group: 		Amusements/Games
Source:		ftp://gnome-memblocks.sourceforge.net/pub/gnome-memblocks-%{PACKAGE_VERSION}.tar.gz
BuildRoot: 	/var/tmp/gnome-memblocks-%{PACKAGE_VERSION}-root
URL: 		http://gnome-memblocks.sourceforge.net
Docdir: 	%{prefix}/doc
Requires:	gnome-libs >= 1.0.60 gdk-pixbuf >= 0.8

%description
The concentration game for GNOME desktop

%changelog

%prep
%setup -q

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

CFLAGS="$RPM_OPT_FLAGS" ./configure --quiet $MYARCH_FLAGS --prefix=%prefix \
	 --localstatedir=/var/lib --sysconfdir=/etc --disable-static

if [ "$SMP" != "" ]; then
  make -j$SMP MAKE="make -j$SMP"
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} scoredir=$RPM_BUILD_ROOT/var/lib/games sysconfdir=$RPM_BUILD_ROOT/etc install >install.log 2>&1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)

%attr(2111, root, games) %{prefix}/bin/gnome-memblocks
%config /etc/sound/events
%{prefix}/share/gnome/apps/Games/*
%{prefix}/share/gnome/help/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*/*
%{prefix}/share/sounds/*
%{prefix}/lib/gnome-memblocks/*

%defattr(-, games, games)
/var/lib/games/*
