/* 
 * Gnome Memory Blocks
 *
 * Copyright (C) 2000 The Free Software Foundation
 *
 * Author: Vova Babin <vb@dwuj.ichf.edu.pl>
 */

#ifndef __GAME_ITEM_GENERIC_STYLE_H__
#define __GAME_ITEM_GENERIC_STYLE_H__

#include "game-item-style.h"

#define GAME_ITEM_GENERIC_STYLE_TYPE            (game_item_generic_style_get_type ())
#define GAME_ITEM_GENERIC_STYLE(obj)            (GTK_CHECK_CAST (obj, GAME_ITEM_GENERIC_STYLE_TYPE, GameItemGenericStyle))
#define GAME_ITEM_GENERIC_STYLE_CLASS(klass)    (GTK_CHECK_CLASS_CAST (klass, GAME_ITEM_GENERIC_STYLE_TYPE, GameItemGenericStyleClass))
#define IS_GAME_ITEM_GENERIC_STYLE(obj)         (GTK_CHECK_TYPE ((obj), GAME_ITEM_GENERIC_STYLE_TYPE))
#define IS_GAME_ITEM_GENERIC_STYLE_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), GAME_ITEM_GENERIC_STYLE_TYPE))

typedef struct _GameItemGenericStyle GameItemGenericStyle;
typedef struct _GameItemGenericStyleClass GameItemGenericStyleClass;

struct _GameItemGenericStyleClass
{
  GameItemStyleClass klass;
};

GtkType game_item_generic_style_get_type (void);
GameItemStyle *game_item_generic_style_new (const gchar * engine_filename);
const gchar *game_item_generic_style_get_engine_name (GameItemGenericStyle *);

#endif	/* __GAME_ITEM_GENERIC_STYLE_H__ */
