/*
 * Gnome Memory Blocks
 * (C) 2000 the Free Software Foundation
 *
 * Author: Vova Babin <vb@dwuj.ichf.edu.pl>
 */

#include "game.h"

int
main (int argc, char **argv)
{
  GtkWidget *game;

  gnome_score_init (GAME_APPNAME);
  bindtextdomain (PACKAGE, GNOMELOCALEDIR);
  textdomain (PACKAGE);
  gnome_init (GAME_APPNAME, VERSION, argc, argv);
  gdk_rgb_init ();
  gtk_widget_set_default_colormap (gdk_rgb_get_cmap ());
  gtk_widget_set_default_visual (gdk_rgb_get_visual ());
  gnome_window_icon_set_default_from_file (GNOME_ICONDIR"/gnome-memblocks.png");

  game = game_new ();
  gtk_widget_show (game);
  gtk_main ();
  gtk_widget_destroy (game);
  gnome_config_sync ();
  exit (0);
}
